Cregis Developer Docs
POST/api/v2/payout

Create Wallet Payout (v2)

V2 adds two optional parameters to V1: wallet_id and from_address. It supports specifying the payout wallet or source address, which is useful for multi-wallet management.

If payout external verification is enabled for the project, Cregis first sends a Payout External Verification Notification to the external verification URL configured in the project, and then continues or stops processing based on the returned ok or deny response.

Rate limit: 1000 requests/minute

Request

Request Body

required

application/json
  • noncestringrequired

    6-character random string.

  • timestampinteger<int64>required

    Timestamp.

  • signstringrequired

    Signature.

  • pidinteger<int64>required

    WaaS project ID you created.

  • currencystringrequired

    Currency identifier.

  • to_addressstringrequired

    Recipient address. We recommend validating the recipient address before payout.

  • amountstringrequired

    Payout amount.

  • third_party_idstringrequired

    Caller business ID generated by your own business system.

  • wallet_idinteger<int64>

    Specified payout wallet ID. If omitted, the default payment address of the project's default payout wallet is used. See Create Project.

  • from_addressstring

    Sender address. If omitted, the default payment address of the project's default payout wallet is used. See Create Project.

  • callback_urlstring

    Callback URL. When this payout is processed, Cregis sends a callback notification to the corresponding callback_url. For callback details, see Payout Notification.

  • remarkstring

    Transfer description. Maximum 256 characters.

  • memostring

    On-chain memo/tag information. Supported only by TON and XRP.

Responses

200Success. Returns the Cregis system transaction ID.
application/json
  • codestring

    Return status code. The only success code is code: 00000; all other return codes indicate an exception. See Error Codes.

  • msgstring

    Response message.

  • dataobject

    Response data.

    • cidinteger<int64>

      System serial number.